Subject: bug#74666: 31.0.50; Regression in replace-match with empty-adjacent groups

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Dec 2024 22:18:57 -0500

> In this case, the match data is set with `set-match-data' using
> calculated ranges.

I guess we can take this as good thing: it means complexifying the
regexp code would be wasted.  🙂

> Since this used to work I think it's reasonable to consider it a regression.

I was not trying to say it's not a regression.  Just pouting because the
old behavior was just a lucky accident and recovering it without losing
the other improvement isn't completely straightforward.

> I've since committed a workaround to evil-numbers [1], although I'd suspect
> this would impact others.

[ And the workaround relies on another lucky accident: the "easiest"
  fix for the problem would break your workaround. 🙁  ]

        Stefan